﻿using UnityEngine;


public class AI_SpawnLocals : MonoBehaviour {
	int amount = 0;
	public GameObject PrefabLocal1;
	public GameObject PrefabLocal2;
	public float strength;

	public int interval;
	public float interval_counter;
	public float interval_tolerance;

	public Sprite[] speechbubbles;
	
	void Start(){
		ResetCounter();
	}

    private void ResetCounter(){
        interval_counter = -amount/20 + interval + UnityEngine.Random.Range(-interval_tolerance, interval_tolerance);
    }

    void Update () {
		if (interval_counter > 0f){
			interval_counter -= Time.deltaTime;
		}else{
			Spawn();
			
			ResetCounter();
		}
	}

	void Spawn(){
		GameObject prefab;
		if (0 == UnityEngine.Random.Range(0,2)){
			prefab = PrefabLocal1;
		}else{
			prefab = PrefabLocal2;
		}
		GameObject local = GameObject.Instantiate(prefab, new Vector3(UnityEngine.Random.Range(-7,7),7,0),Quaternion.identity, transform);
		amount++;
		local.name = "Local"+amount;
		local.GetComponent<AI_LocalSurfer>().strength = UnityEngine.Random.Range(0.5f,1.5f);
		local.GetComponent<AI_LocalSurfer>().interval = 1f;
		if (amount % 3 == 0){
			local.GetComponent<AI_LocalSurfer>().speechbubble = speechbubbles[UnityEngine.Random.Range(0,speechbubbles.Length)];
		}
	}
}
