﻿using UnityEngine;
using UnityEngine.UI;

public class EndScreen : MonoBehaviour {

	public GameObject panelSuccess;
	public GameObject panelFailBrawl;
	public GameObject panelFailWipe;
	public Text remainingDistanceTextbox1;
	public Text remainingDistanceTextbox2;

	void Start () {
		string distancetext = "you were "+(int)(GameData.instance.distanceRemaining)+" meters from the swell";
		remainingDistanceTextbox1.text = distancetext;
		remainingDistanceTextbox2.text = distancetext;
		Debug.Log("Show endscreen for "+GameData.instance);
		if (GameData.instance != null){
			panelSuccess.SetActive(GameData.instance.outcome == GameData.Outcome.Success);
			panelFailBrawl.SetActive(GameData.instance.outcome == GameData.Outcome.Fail_wiped);
			panelFailWipe.SetActive(GameData.instance.outcome == GameData.Outcome.Fail_out_of_bounds);
		}
	}

}
